Last Comment Bug 889693 - Implement MaskSurface in DrawTargetCairo
: Implement MaskSurface in DrawTargetCairo
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Graphics (show other bugs)
: unspecified
: x86 Mac OS X
: -- normal (vote)
: mozilla25
Assigned To: James Kolb
:
Mentors:
Depends on:
Blocks: 603488
  Show dependency treegraph
 
Reported: 2013-07-02 18:16 PDT by Jeff Muizelaar [:jrmuizel]
Modified: 2013-07-11 19:07 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
A sketch of what this could look like (3.94 KB, patch)
2013-07-02 18:16 PDT, Jeff Muizelaar [:jrmuizel]
no flags Details | Diff | Splinter Review
Patch: Implement MaskSurface in DrawTargetCairo (4.46 KB, patch)
2013-07-03 17:16 PDT, James Kolb
bas: review+
Details | Diff | Splinter Review

Description Jeff Muizelaar [:jrmuizel] 2013-07-02 18:16:18 PDT
Created attachment 770559 [details] [diff] [review]
A sketch of what this could look like
Comment 1 Jeff Muizelaar [:jrmuizel] 2013-07-02 18:17:30 PDT
This is completely untested, may currently have problems with operators other than OVER and is perhaps missing a translation.
Comment 2 Jeff Muizelaar [:jrmuizel] 2013-07-02 18:59:39 PDT
James, feel free to finish this patch up if you're interested.
Comment 3 James Kolb 2013-07-02 22:21:37 PDT
Will do.
Comment 4 James Kolb 2013-07-03 17:16:37 PDT
Created attachment 771112 [details] [diff] [review]
Patch: Implement MaskSurface in DrawTargetCairo

This is a fixed up version of Jeff's sketch.
Comment 5 Bas Schouten (:bas.schouten) 2013-07-04 05:41:39 PDT
Comment on attachment 771112 [details] [diff] [review]
Patch: Implement MaskSurface in DrawTargetCairo

Review of attachment 771112 [details] [diff] [review]:
-----------------------------------------------------------------

Looks good to me as far as I can tell, has it been tested?
Comment 6 James Kolb 2013-07-07 08:38:07 PDT
I can confirm that it allows gfxContext::Mask to perform the same as the old version from before it used MaskSurface.

Is there an additional set of tests I should run on it? I'm not sure if it works for all the different possible uses of MaskSurface, but it probably can't be any worse than MOZ_ASSERT(0).
Comment 7 James Kolb 2013-07-10 18:21:41 PDT
Can somebody check this in when they get a chance? I don't have access to check it in or change the keywords to add "checkin-needed".
Comment 8 Jeff Muizelaar [:jrmuizel] 2013-07-10 20:28:33 PDT
(In reply to James Kolb from comment #7)
> Can somebody check this in when they get a chance? I don't have access to
> check it in or change the keywords to add "checkin-needed".
Comment 9 Ryan VanderMeulen [:RyanVM] 2013-07-11 07:46:21 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/cf0646465523
Comment 10 Ryan VanderMeulen [:RyanVM] 2013-07-11 19:07:58 PDT
https://hg.mozilla.org/mozilla-central/rev/cf0646465523

Note You need to log in before you can comment on or make changes to this bug.